Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::ButtonItem Class Reference

Inherits Object.

## Public Member Functions
| ButtonItem ()
| Constructor.
| ButtonItem (const ButtonItem &button_item)
| Constructor, with another button item object. More...
| ButtonItem (const wchar_t *name, int pos, const wchar_t *exec, const wchar_t *enable, const wchar_t *marked, const wchar_t *tooltip, const wchar_t *label, const common::Bitmap &bitmap)
| Constructor, with parameters. More...
void | Set (const wchar_t *name, int pos, const wchar_t *exec, const wchar_t *enable, const wchar_t *marked, const wchar_t *tooltip, const wchar_t *label, const common::Bitmap &bitmap)
| Set values. More...

## Public Attributes
common::Bitmap | bitmap
| A bitmap object of button.
WString | enable
| An expression string that determines whether to enable the toolbutton.
WString | exec
| The expression string to evaluate when the button is selected.
WString | label
| A text label to be displayed on the button to the right of the icon.
WString | marked
| An expression string that determines whether the toolbutton is marked.
WString | name
| A unique language-independent identifier for the button.
int | pos
| The button number to place the added button in the toolbar.
WString | tooltip
| The text to display in the button help text when the mouse is over the toolbutton.

## Detailed Description

This class represents button item.

## Constructor & Destructor Documentation

## ◆ ButtonItem() [1/2]

foxit::ButtonItem::ButtonItem | ( | const wchar_t * | name,
|  | int | pos,
|  | const wchar_t * | exec,
|  | const wchar_t * | enable,
|  | const wchar_t * | marked,
|  | const wchar_t * | tooltip,
|  | const wchar_t * | label,
|  | const common::Bitmap & | bitmap
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

## ◆ ButtonItem() [2/2]

foxit::ButtonItem::ButtonItem | ( | const ButtonItem & | button_item | ) |
| inline

Constructor, with another button item object.

Parameters

  [in] | button_item | Another button item object.

## Member Function Documentation

## ◆ Set()

void foxit::ButtonItem::Set | ( | const wchar_t * | name,
|  | int | pos,
|  | const wchar_t * | exec,
|  | const wchar_t * | enable,
|  | const wchar_t * | marked,
|  | const wchar_t * | tooltip,
|  | const wchar_t * | label,
|  | const common::Bitmap & | bitmap
| ) |  |
| inline

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.